Allow matches to merge with default values.
Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2606

  

Description

I like a lot the merge matches features for hash and array parameters. It would be even better though is we could merge the

overrides with the default values as well.

For example: I have user accounts, ssh keys set through hashes and I have a default set of user and keys for all servers and then

override specific groups and hosts but currently I have to include same default users in every override. I would like to have a check

box to override with default and just add new values in overrides.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Feature #3309: Support deep merging of hash structures i... Closed 10/17/2013

Associated revisions

Revision 8347a5ef - 08/28/2015 09:04 AM - Ori Rabin

Fixes #10731 - Allow matches to merge with default values

Revision 77e30352 - 08/29/2015 01:12 AM - Ori Rabin

Refs #10731 - adding match_default to smart variables and smart class parameters

Revision ff06fcb4 - 09/10/2015 09:22 AM - Tomas Strachota 

Merge pull request #194 from orrabin/10731

Refs #10731 - adding match_default to smart variables and smart class parameters

History

#1 - 06/08/2015 03:34 PM - Ohad Levy

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 06/09/2015 03:14 AM - Dominic Cleal

- Related to Feature #3309: Support deep merging of hash structures in smart class parameters added

#3 - 06/09/2015 03:14 AM - Dominic Cleal

- Category set to Parameters

#4 - 08/11/2015 09:47 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#5 - 08/16/2015 03:55 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2606 added

- Pull request deleted ()

#6 - 08/28/2015 09:04 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#7 - 08/28/2015 10:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8347a5effc0f7b27710b73a758abe22bb81aad7b.
